---
- name: Role enabled
  tags: firewall
  when: firewall_role_enabled | bool
  block:
    - name: Init
      ansible.builtin.import_tasks: init.yml

    - name: Validate
      ansible.builtin.import_tasks: 00_validate.yml

    - name: Install
      ansible.builtin.import_tasks: 10_install.yml
      become: true

    - name: Config
      ansible.builtin.import_tasks: 20_config.yml
      become: true

    - name: Service
      ansible.builtin.import_tasks: 30_service.yml
      become: true

    - name: State
      ansible.builtin.import_tasks: 90_state.yml
      become: true

    - name: Rollback
      ansible.builtin.import_tasks: 91_rollback.yml
      become: true
